Subject: Re: [RFC PATCH 01/10] powerpc/chrp: Remove CHRP support

From: Segher Boessenkool <[email-masked]>
Date: Thu, 14 Nov 2024 15:04:18 -0600

On Fri, Nov 15, 2024 at 12:11:04AM +1100, Michael Ellerman wrote:
> CHRP (Common Hardware Reference Platform) was a standard developed by
> IBM & Apple for PowerPC-based systems.
> 
> The standard was used in the development of some machines but never
> gained wide spread adoption.
> 
> The Linux CHRP code only supports a handful of machines, all 32-bit, eg.
> IBM B50, bplan/Genesi Pegasos/Pegasos2, Total Impact briQ, and possibly
> some from Motorola? No Apple machines should be affected.
> 
> All of those mentioned above are over or nearing 20 years old, and seem
> to have no active users.

This was used by all non-IBM 970 systems as well.  The last was SLOF on
JS20 and JS21, about 20 years ago yes, and I doubt anyone uses it still
(I don't).

> So remove the CHRP support. If there's interest in still supporting some
> of the machines that can be brought back from the git history.

Sorry to see it go, but that's the way of the world :-)

> Note there are still some references to CHRP/chrp in various comments
> and some in the code, because later standards (eg. RPA, PAPR) used some
> elements of CHRP or copied the CHRP behaviour. These will need to be
> cleaned up on a case-by-case basis to either refer to newer standards or
> left as-is when that's correct.
> 
> The CHRP code was copied from arch/ppc, and before that it mostly
> predates git, so the original authorship is largely lost. If anyone
> wrote any of this code and would like a CREDITS entry just let me know.
> 
> Signed-off-by: Michael Ellerman <[email-masked]>

Acked-by: Segher Boessenkool <[email-masked]>

Segher